clear all
clc

%load('SN03'); % loading accumulated damage contribution from VIV from VIVANA
elmfor = load('C:\Users\Siren Therese\Desktop\One_RAO_H4T8\t1_elmfor.asc');% loading RIFLEX file
grader = (0:22.5:337.5);
totaldamage = zeros(606,16);
for i = 1:16                % using a for loop to calculate for 16 points around the riser
    
    phi = grader(i)*(pi/180);  % vinkel for hvor p radiusen du er, 45 - lik kontribution for bde My og Mz
    
    [sigma1,time,] = sigma(elmfor,phi); % calculating the stress for each element at all tilme steps
    
    [meanrange1,numb,M] = rain(sigma1,time); % calculating the number of rainflow cycles and their stress range
    
    [Damage,N,N_year] = acdamage(time,numb,meanrange1,M); % calculating the damage for each element along the riser
    
    totaldamage1 = sum(Damage'); % adding the damage from the differnt stressrages for each element
    totaldamage (:,i) = totaldamage1'; % Matrix that contains the damage for each element at all 16 points aroing the riser

end

Ma = zeros(607,1);
Ma(1:606) = max(totaldamage,[],2); % Matrix with maximum damage at each element


 
%Ma = Ma + SN03 ; % adding together VIVANA and RIFLEX result 
figure

plot(Ma,'r')
title('Max accumulated damage')



